Subject: bug#51383: closed ()

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 27 Oct 2021 18:01:03 +0000

Your bug report

#51383: noobie way of incorrectly using (guix records) 

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51383: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51383
GNU Bug Tracking System
Contact [email-masked] with problems

From: Joshua Branson <[email-masked]>
To: [email-masked]
Date: Wed, 27 Oct 2021 14:00:42 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Bug will not be fixed.

Subject: noobie way of incorrectly using (guix records)
From: Joshua Branson <[email-masked]>
To: [email-masked]
Date: Mon, 25 Oct 2021 02:15:54 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

So I made a pretty noobie-like mistake a few minutes ago.  When one
tries to make a (record-configuration), he invariably create an
infinite number of records.  The guile compiler eventually runs out
of memory and stops compiling.

(use-modules (guix records))

(define-record-type* <record-configuration>
  record-configuration make-record-configuration
  record-configuration?
  (command record-configuration-command
           ;; the error is here is on the next line
           (default (record-configuration))))  

(record-configuration)

This is not possible with (srfi sfri-9)

(use-modules (srfi srfi-9))

(define-record-type <employee>
  (make-employee name age (make-employeee 5 5 5))
  employee?
  (name    employee-name)
  (age     employee-age    set-employee-age!)
  (salary  employee-salary set-employee-salary!))

(make-employee)

The above results in a syntax error.

Is this a "feature" and not a bug?  I feel like this is a trivial bug,
and I am certain that other bugs are of greater importance.

Thanks,

Joshua